package com.steering.mes.mcp.entity;
/**
 * 数据库表MCH_LOADING_RESULT所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-09-18
 */
@SuppressWarnings("serial")
public class MchLoadingResultEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 加工生产批次号
     */
    private String zyBatchId = "";
    /**
     * 加工生产批次号序号
     */
    private String prodIndex = "";
    /**
     * 加工订单编号
     */
    private String proPlanId = "";
    /**
     * 加工订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 是否热处理监制
     */
    private String ifMonitorRcl = "";
    /**
     * 监制要求
     */
    private String monitordemand = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 监制人
     */
    private String producer = "";
    /**
     * 监制到场时间
     */
    private String producerTime = "";
    /**
     * 作业支数（有效生产数量）
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 离线支数
     */
    private String offlineNum = "";
    /**
     * 离线重量
     */
    private String offlineWt = "";
    /**
     * 返线支数
     */
    private String reNum = "";
    /**
     * 返线重量
     */
    private String reWt = "";
    /**
     * 上料时间
     */
    private String loadTime = "";
    /**
     * 上料班次
     */
    private String loadShift = "";
    /**
     * 上料班组
     */
    private String loadGroup = "";
    /**
     * 操作人
     */
    private String createtUser = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 废品缺陷编号
     */
    private String failBill = "";
    /**
     * 分切数
     */
    private String outnumCut = "";
    /**
     * 原料管长度
     */
    private String lengthIn = "";
    /**
     * 原料管最大长度
     */
    private String lengthmaxIn = "";
    /**
     * 原料管最小长度
     */
    private String lengthminIn = "";
    /**
     * 出库单编号
     */
    private String outstockDoc = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 加工生产批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 加工生产批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 加工生产批次号序号
     * @return value
     */
    public String getProdIndex() {
        return prodIndex;
    }

    /**
     * 加工生产批次号序号
     * @param prodIndex value
     */
    public void setProdIndex(String prodIndex) {
        this.prodIndex = prodIndex;
    }

    /**
     * 加工订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 加工订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 加工订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 加工订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 是否热处理监制
     * @return value
     */
    public String getIfMonitorRcl() {
        return ifMonitorRcl;
    }

    /**
     * 是否热处理监制
     * @param ifMonitorRcl value
     */
    public void setIfMonitorRcl(String ifMonitorRcl) {
        this.ifMonitorRcl = ifMonitorRcl;
    }

    /**
     * 监制要求
     * @return value
     */
    public String getMonitordemand() {
        return monitordemand;
    }

    /**
     * 监制要求
     * @param monitordemand value
     */
    public void setMonitordemand(String monitordemand) {
        this.monitordemand = monitordemand;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 监制人
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制人
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 监制到场时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制到场时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 作业支数（有效生产数量）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（有效生产数量）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 离线支数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 离线支数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 离线重量
     * @return value
     */
    public String getOfflineWt() {
        return offlineWt;
    }

    /**
     * 离线重量
     * @param offlineWt value
     */
    public void setOfflineWt(String offlineWt) {
        this.offlineWt = offlineWt;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getReNum() {
        return reNum;
    }

    /**
     * 返线支数
     * @param reNum value
     */
    public void setReNum(String reNum) {
        this.reNum = reNum;
    }

    /**
     * 返线重量
     * @return value
     */
    public String getReWt() {
        return reWt;
    }

    /**
     * 返线重量
     * @param reWt value
     */
    public void setReWt(String reWt) {
        this.reWt = reWt;
    }

    /**
     * 上料时间
     * @return value
     */
    public String getLoadTime() {
        return loadTime;
    }

    /**
     * 上料时间
     * @param loadTime value
     */
    public void setLoadTime(String loadTime) {
        this.loadTime = loadTime;
    }

    /**
     * 上料班次
     * @return value
     */
    public String getLoadShift() {
        return loadShift;
    }

    /**
     * 上料班次
     * @param loadShift value
     */
    public void setLoadShift(String loadShift) {
        this.loadShift = loadShift;
    }

    /**
     * 上料班组
     * @return value
     */
    public String getLoadGroup() {
        return loadGroup;
    }

    /**
     * 上料班组
     * @param loadGroup value
     */
    public void setLoadGroup(String loadGroup) {
        this.loadGroup = loadGroup;
    }

    /**
     * 操作人
     * @return value
     */
    public String getCreatetUser() {
        return createtUser;
    }

    /**
     * 操作人
     * @param createtUser value
     */
    public void setCreatetUser(String createtUser) {
        this.createtUser = createtUser;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 废品缺陷编号
     * @return value
     */
    public String getFailBill() {
        return failBill;
    }

    /**
     * 废品缺陷编号
     * @param failBill value
     */
    public void setFailBill(String failBill) {
        this.failBill = failBill;
    }

    /**
     * 分切数
     * @return value
     */
    public String getOutnumCut() {
        return outnumCut;
    }

    /**
     * 分切数
     * @param outnumCut value
     */
    public void setOutnumCut(String outnumCut) {
        this.outnumCut = outnumCut;
    }

    /**
     * 原料管长度
     * @return value
     */
    public String getLengthIn() {
        return lengthIn;
    }

    /**
     * 原料管长度
     * @param lengthIn value
     */
    public void setLengthIn(String lengthIn) {
        this.lengthIn = lengthIn;
    }

    /**
     * 原料管最大长度
     * @return value
     */
    public String getLengthmaxIn() {
        return lengthmaxIn;
    }

    /**
     * 原料管最大长度
     * @param lengthmaxIn value
     */
    public void setLengthmaxIn(String lengthmaxIn) {
        this.lengthmaxIn = lengthmaxIn;
    }

    /**
     * 原料管最小长度
     * @return value
     */
    public String getLengthminIn() {
        return lengthminIn;
    }

    /**
     * 原料管最小长度
     * @param lengthminIn value
     */
    public void setLengthminIn(String lengthminIn) {
        this.lengthminIn = lengthminIn;
    }

    /**
     * 出库单编号
     * @return value
     */
    public String getOutstockDoc() {
        return outstockDoc;
    }

    /**
     * 出库单编号
     * @param outstockDoc value
     */
    public void setOutstockDoc(String outstockDoc) {
        this.outstockDoc = outstockDoc;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 上料行ID(炉计划ID+2位流水)
     */
    private String heatPlanSqe = "";


    /**
     * 上料行ID(炉计划ID+2位流水)
     * @return value
     */
    public String getHeatPlanSqe() {
        return heatPlanSqe;
    }

    /**
     * 上料行ID(炉计划ID+2位流水)
     * @param heatPlanSqe value
     */
    public void setHeatPlanSqe(String heatPlanSqe) {
        this.heatPlanSqe = heatPlanSqe;
    }


    /**
     * 收料来源  0- 生产部 1-中间库
     */
    private String matSource = "";

    /**
     * 收料来源  0- 生产部 1-中间库
     * @return value
     */
    public String getMatSource() {
        return matSource;
    }

    /**
     * 收料来源  0- 生产部 1-中间库
     * @param matSource value
     */
    public void setMatSource(String matSource) {
        this.matSource = matSource;
    }
}